namespace LittleTown.Core.Actions;

/// <summary>
/// Un action de test qui permet de faire le déroulé d'une partie, cette action ne fait rien qu'utiliser un ouvrier du joueur et passer au suivant
/// </summary>
public class EmptyAction : IAction
{
    /// <inheritdoc/>
    public void Execute(Match match)
    {
        ArgumentNullException.ThrowIfNull(match);

        match.NextPlayer();
    }

    /// <inheritdoc/>
    public bool CanExecute(Match match)
    {
        return true;
    }
}